IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/88
Addresses2^40
/64 networksPart of one
- Network
2001:db8::6600:0:0/88- First address
2001:db8::6600:0:0- Last address
2001:db8::66ff:ffff:ffff- Addresses
- 1,099,511,627,776 (2^40)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:6600:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
6.6.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::6600:0:0/88 makes 4,096 subnets of /100; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::6600:0:0/100 | 2001:db8::6600:fff:ffff |
| 2 | 2001:db8::6600:1000:0/100 | 2001:db8::6600:1fff:ffff |
| 3 | 2001:db8::6600:2000:0/100 | 2001:db8::6600:2fff:ffff |
| 4 | 2001:db8::6600:3000:0/100 | 2001:db8::6600:3fff:ffff |
| 5 | 2001:db8::6600:4000:0/100 | 2001:db8::6600:4fff:ffff |
| 6 | 2001:db8::6600:5000:0/100 | 2001:db8::6600:5fff:ffff |
| 7 | 2001:db8::6600:6000:0/100 | 2001:db8::6600:6fff:ffff |
| 8 | 2001:db8::6600:7000:0/100 | 2001:db8::6600:7fff:ffff |
| 9 | 2001:db8::6600:8000:0/100 | 2001:db8::6600:8fff:ffff |
| 10 | 2001:db8::6600:9000:0/100 | 2001:db8::6600:9fff:ffff |
| 11 | 2001:db8::6600:a000:0/100 | 2001:db8::6600:afff:ffff |
| 12 | 2001:db8::6600:b000:0/100 | 2001:db8::6600:bfff:ffff |
| 13 | 2001:db8::6600:c000:0/100 | 2001:db8::6600:cfff:ffff |
| 14 | 2001:db8::6600:d000:0/100 | 2001:db8::6600:dfff:ffff |
| 15 | 2001:db8::6600:e000:0/100 | 2001:db8::6600:efff:ffff |
| 16 | 2001:db8::6600:f000:0/100 | 2001:db8::6600:ffff:ffff |
| 17 | 2001:db8::6601:0:0/100 | 2001:db8::6601:fff:ffff |
| 18 | 2001:db8::6601:1000:0/100 | 2001:db8::6601:1fff:ffff |
| 19 | 2001:db8::6601:2000:0/100 | 2001:db8::6601:2fff:ffff |
| 20 | 2001:db8::6601:3000:0/100 | 2001:db8::6601:3fff:ffff |
| 21 | 2001:db8::6601:4000:0/100 | 2001:db8::6601:4fff:ffff |
| 22 | 2001:db8::6601:5000:0/100 | 2001:db8::6601:5fff:ffff |
| 23 | 2001:db8::6601:6000:0/100 | 2001:db8::6601:6fff:ffff |
| 24 | 2001:db8::6601:7000:0/100 | 2001:db8::6601:7fff:ffff |
| 25 | 2001:db8::6601:8000:0/100 | 2001:db8::6601:8fff:ffff |
| 26 | 2001:db8::6601:9000:0/100 | 2001:db8::6601:9fff:ffff |
| 27 | 2001:db8::6601:a000:0/100 | 2001:db8::6601:afff:ffff |
| 28 | 2001:db8::6601:b000:0/100 | 2001:db8::6601:bfff:ffff |
| 29 | 2001:db8::6601:c000:0/100 | 2001:db8::6601:cfff:ffff |
| 30 | 2001:db8::6601:d000:0/100 | 2001:db8::6601:dfff:ffff |
| 31 | 2001:db8::6601:e000:0/100 | 2001:db8::6601:efff:ffff |
| 32 | 2001:db8::6601:f000:0/100 | 2001:db8::6601:ffff:ffff |
| 33 | 2001:db8::6602:0:0/100 | 2001:db8::6602:fff:ffff |
| 34 | 2001:db8::6602:1000:0/100 | 2001:db8::6602:1fff:ffff |
| 35 | 2001:db8::6602:2000:0/100 | 2001:db8::6602:2fff:ffff |
| 36 | 2001:db8::6602:3000:0/100 | 2001:db8::6602:3fff:ffff |
| 37 | 2001:db8::6602:4000:0/100 | 2001:db8::6602:4fff:ffff |
| 38 | 2001:db8::6602:5000:0/100 | 2001:db8::6602:5fff:ffff |
| 39 | 2001:db8::6602:6000:0/100 | 2001:db8::6602:6fff:ffff |
| 40 | 2001:db8::6602:7000:0/100 | 2001:db8::6602:7fff:ffff |
| 41 | 2001:db8::6602:8000:0/100 | 2001:db8::6602:8fff:ffff |
| 42 | 2001:db8::6602:9000:0/100 | 2001:db8::6602:9fff:ffff |
| 43 | 2001:db8::6602:a000:0/100 | 2001:db8::6602:afff:ffff |
| 44 | 2001:db8::6602:b000:0/100 | 2001:db8::6602:bfff:ffff |
| 45 | 2001:db8::6602:c000:0/100 | 2001:db8::6602:cfff:ffff |
| 46 | 2001:db8::6602:d000:0/100 | 2001:db8::6602:dfff:ffff |
| 47 | 2001:db8::6602:e000:0/100 | 2001:db8::6602:efff:ffff |
| 48 | 2001:db8::6602:f000:0/100 | 2001:db8::6602:ffff:ffff |
| 49 | 2001:db8::6603:0:0/100 | 2001:db8::6603:fff:ffff |
| 50 | 2001:db8::6603:1000:0/100 | 2001:db8::6603:1fff:ffff |
| 51 | 2001:db8::6603:2000:0/100 | 2001:db8::6603:2fff:ffff |
| 52 | 2001:db8::6603:3000:0/100 | 2001:db8::6603:3fff:ffff |
| 53 | 2001:db8::6603:4000:0/100 | 2001:db8::6603:4fff:ffff |
| 54 | 2001:db8::6603:5000:0/100 | 2001:db8::6603:5fff:ffff |
| 55 | 2001:db8::6603:6000:0/100 | 2001:db8::6603:6fff:ffff |
| 56 | 2001:db8::6603:7000:0/100 | 2001:db8::6603:7fff:ffff |
| 57 | 2001:db8::6603:8000:0/100 | 2001:db8::6603:8fff:ffff |
| 58 | 2001:db8::6603:9000:0/100 | 2001:db8::6603:9fff:ffff |
| 59 | 2001:db8::6603:a000:0/100 | 2001:db8::6603:afff:ffff |
| 60 | 2001:db8::6603:b000:0/100 | 2001:db8::6603:bfff:ffff |
| 61 | 2001:db8::6603:c000:0/100 | 2001:db8::6603:cfff:ffff |
| 62 | 2001:db8::6603:d000:0/100 | 2001:db8::6603:dfff:ffff |
| 63 | 2001:db8::6603:e000:0/100 | 2001:db8::6603:efff:ffff |
| 64 | 2001:db8::6603:f000:0/100 | 2001:db8::6603:ffff:ffff |
| 65 | 2001:db8::6604:0:0/100 | 2001:db8::6604:fff:ffff |
| 66 | 2001:db8::6604:1000:0/100 | 2001:db8::6604:1fff:ffff |
| 67 | 2001:db8::6604:2000:0/100 | 2001:db8::6604:2fff:ffff |
| 68 | 2001:db8::6604:3000:0/100 | 2001:db8::6604:3fff:ffff |
| 69 | 2001:db8::6604:4000:0/100 | 2001:db8::6604:4fff:ffff |
| 70 | 2001:db8::6604:5000:0/100 | 2001:db8::6604:5fff:ffff |
| 71 | 2001:db8::6604:6000:0/100 | 2001:db8::6604:6fff:ffff |
| 72 | 2001:db8::6604:7000:0/100 | 2001:db8::6604:7fff:ffff |
| 73 | 2001:db8::6604:8000:0/100 | 2001:db8::6604:8fff:ffff |
| 74 | 2001:db8::6604:9000:0/100 | 2001:db8::6604:9fff:ffff |
| 75 | 2001:db8::6604:a000:0/100 | 2001:db8::6604:afff:ffff |
| 76 | 2001:db8::6604:b000:0/100 | 2001:db8::6604:bfff:ffff |
| 77 | 2001:db8::6604:c000:0/100 | 2001:db8::6604:cfff:ffff |
| 78 | 2001:db8::6604:d000:0/100 | 2001:db8::6604:dfff:ffff |
| 79 | 2001:db8::6604:e000:0/100 | 2001:db8::6604:efff:ffff |
| 80 | 2001:db8::6604:f000:0/100 | 2001:db8::6604:ffff:ffff |
| 81 | 2001:db8::6605:0:0/100 | 2001:db8::6605:fff:ffff |
| 82 | 2001:db8::6605:1000:0/100 | 2001:db8::6605:1fff:ffff |
| 83 | 2001:db8::6605:2000:0/100 | 2001:db8::6605:2fff:ffff |
| 84 | 2001:db8::6605:3000:0/100 | 2001:db8::6605:3fff:ffff |
| 85 | 2001:db8::6605:4000:0/100 | 2001:db8::6605:4fff:ffff |
| 86 | 2001:db8::6605:5000:0/100 | 2001:db8::6605:5fff:ffff |
| 87 | 2001:db8::6605:6000:0/100 | 2001:db8::6605:6fff:ffff |
| 88 | 2001:db8::6605:7000:0/100 | 2001:db8::6605:7fff:ffff |
| 89 | 2001:db8::6605:8000:0/100 | 2001:db8::6605:8fff:ffff |
| 90 | 2001:db8::6605:9000:0/100 | 2001:db8::6605:9fff:ffff |
| 91 | 2001:db8::6605:a000:0/100 | 2001:db8::6605:afff:ffff |
| 92 | 2001:db8::6605:b000:0/100 | 2001:db8::6605:bfff:ffff |
| 93 | 2001:db8::6605:c000:0/100 | 2001:db8::6605:cfff:ffff |
| 94 | 2001:db8::6605:d000:0/100 | 2001:db8::6605:dfff:ffff |
| 95 | 2001:db8::6605:e000:0/100 | 2001:db8::6605:efff:ffff |
| 96 | 2001:db8::6605:f000:0/100 | 2001:db8::6605:ffff:ffff |
| 97 | 2001:db8::6606:0:0/100 | 2001:db8::6606:fff:ffff |
| 98 | 2001:db8::6606:1000:0/100 | 2001:db8::6606:1fff:ffff |
| 99 | 2001:db8::6606:2000:0/100 | 2001:db8::6606:2fff:ffff |
| 100 | 2001:db8::6606:3000:0/100 | 2001:db8::6606:3fff:ffff |
| 101 | 2001:db8::6606:4000:0/100 | 2001:db8::6606:4fff:ffff |
| 102 | 2001:db8::6606:5000:0/100 | 2001:db8::6606:5fff:ffff |
| 103 | 2001:db8::6606:6000:0/100 | 2001:db8::6606:6fff:ffff |
| 104 | 2001:db8::6606:7000:0/100 | 2001:db8::6606:7fff:ffff |
| 105 | 2001:db8::6606:8000:0/100 | 2001:db8::6606:8fff:ffff |
| 106 | 2001:db8::6606:9000:0/100 | 2001:db8::6606:9fff:ffff |
| 107 | 2001:db8::6606:a000:0/100 | 2001:db8::6606:afff:ffff |
| 108 | 2001:db8::6606:b000:0/100 | 2001:db8::6606:bfff:ffff |
| 109 | 2001:db8::6606:c000:0/100 | 2001:db8::6606:cfff:ffff |
| 110 | 2001:db8::6606:d000:0/100 | 2001:db8::6606:dfff:ffff |
| 111 | 2001:db8::6606:e000:0/100 | 2001:db8::6606:efff:ffff |
| 112 | 2001:db8::6606:f000:0/100 | 2001:db8::6606:ffff:ffff |
| 113 | 2001:db8::6607:0:0/100 | 2001:db8::6607:fff:ffff |
| 114 | 2001:db8::6607:1000:0/100 | 2001:db8::6607:1fff:ffff |
| 115 | 2001:db8::6607:2000:0/100 | 2001:db8::6607:2fff:ffff |
| 116 | 2001:db8::6607:3000:0/100 | 2001:db8::6607:3fff:ffff |
| 117 | 2001:db8::6607:4000:0/100 | 2001:db8::6607:4fff:ffff |
| 118 | 2001:db8::6607:5000:0/100 | 2001:db8::6607:5fff:ffff |
| 119 | 2001:db8::6607:6000:0/100 | 2001:db8::6607:6fff:ffff |
| 120 | 2001:db8::6607:7000:0/100 | 2001:db8::6607:7fff:ffff |
| 121 | 2001:db8::6607:8000:0/100 | 2001:db8::6607:8fff:ffff |
| 122 | 2001:db8::6607:9000:0/100 | 2001:db8::6607:9fff:ffff |
| 123 | 2001:db8::6607:a000:0/100 | 2001:db8::6607:afff:ffff |
| 124 | 2001:db8::6607:b000:0/100 | 2001:db8::6607:bfff:ffff |
| 125 | 2001:db8::6607:c000:0/100 | 2001:db8::6607:cfff:ffff |
| 126 | 2001:db8::6607:d000:0/100 | 2001:db8::6607:dfff:ffff |
| 127 | 2001:db8::6607:e000:0/100 | 2001:db8::6607:efff:ffff |
| 128 | 2001:db8::6607:f000:0/100 | 2001:db8::6607:ffff:ffff |
| 129 | 2001:db8::6608:0:0/100 | 2001:db8::6608:fff:ffff |
| 130 | 2001:db8::6608:1000:0/100 | 2001:db8::6608:1fff:ffff |
| 131 | 2001:db8::6608:2000:0/100 | 2001:db8::6608:2fff:ffff |
| 132 | 2001:db8::6608:3000:0/100 | 2001:db8::6608:3fff:ffff |
| 133 | 2001:db8::6608:4000:0/100 | 2001:db8::6608:4fff:ffff |
| 134 | 2001:db8::6608:5000:0/100 | 2001:db8::6608:5fff:ffff |
| 135 | 2001:db8::6608:6000:0/100 | 2001:db8::6608:6fff:ffff |
| 136 | 2001:db8::6608:7000:0/100 | 2001:db8::6608:7fff:ffff |
| 137 | 2001:db8::6608:8000:0/100 | 2001:db8::6608:8fff:ffff |
| 138 | 2001:db8::6608:9000:0/100 | 2001:db8::6608:9fff:ffff |
| 139 | 2001:db8::6608:a000:0/100 | 2001:db8::6608:afff:ffff |
| 140 | 2001:db8::6608:b000:0/100 | 2001:db8::6608:bfff:ffff |
| 141 | 2001:db8::6608:c000:0/100 | 2001:db8::6608:cfff:ffff |
| 142 | 2001:db8::6608:d000:0/100 | 2001:db8::6608:dfff:ffff |
| 143 | 2001:db8::6608:e000:0/100 | 2001:db8::6608:efff:ffff |
| 144 | 2001:db8::6608:f000:0/100 | 2001:db8::6608:ffff:ffff |
| 145 | 2001:db8::6609:0:0/100 | 2001:db8::6609:fff:ffff |
| 146 | 2001:db8::6609:1000:0/100 | 2001:db8::6609:1fff:ffff |
| 147 | 2001:db8::6609:2000:0/100 | 2001:db8::6609:2fff:ffff |
| 148 | 2001:db8::6609:3000:0/100 | 2001:db8::6609:3fff:ffff |
| 149 | 2001:db8::6609:4000:0/100 | 2001:db8::6609:4fff:ffff |
| 150 | 2001:db8::6609:5000:0/100 | 2001:db8::6609:5fff:ffff |
| 151 | 2001:db8::6609:6000:0/100 | 2001:db8::6609:6fff:ffff |
| 152 | 2001:db8::6609:7000:0/100 | 2001:db8::6609:7fff:ffff |
| 153 | 2001:db8::6609:8000:0/100 | 2001:db8::6609:8fff:ffff |
| 154 | 2001:db8::6609:9000:0/100 | 2001:db8::6609:9fff:ffff |
| 155 | 2001:db8::6609:a000:0/100 | 2001:db8::6609:afff:ffff |
| 156 | 2001:db8::6609:b000:0/100 | 2001:db8::6609:bfff:ffff |
| 157 | 2001:db8::6609:c000:0/100 | 2001:db8::6609:cfff:ffff |
| 158 | 2001:db8::6609:d000:0/100 | 2001:db8::6609:dfff:ffff |
| 159 | 2001:db8::6609:e000:0/100 | 2001:db8::6609:efff:ffff |
| 160 | 2001:db8::6609:f000:0/100 | 2001:db8::6609:ffff:ffff |
| 161 | 2001:db8::660a:0:0/100 | 2001:db8::660a:fff:ffff |
| 162 | 2001:db8::660a:1000:0/100 | 2001:db8::660a:1fff:ffff |
| 163 | 2001:db8::660a:2000:0/100 | 2001:db8::660a:2fff:ffff |
| 164 | 2001:db8::660a:3000:0/100 | 2001:db8::660a:3fff:ffff |
| 165 | 2001:db8::660a:4000:0/100 | 2001:db8::660a:4fff:ffff |
| 166 | 2001:db8::660a:5000:0/100 | 2001:db8::660a:5fff:ffff |
| 167 | 2001:db8::660a:6000:0/100 | 2001:db8::660a:6fff:ffff |
| 168 | 2001:db8::660a:7000:0/100 | 2001:db8::660a:7fff:ffff |
| 169 | 2001:db8::660a:8000:0/100 | 2001:db8::660a:8fff:ffff |
| 170 | 2001:db8::660a:9000:0/100 | 2001:db8::660a:9fff:ffff |
| 171 | 2001:db8::660a:a000:0/100 | 2001:db8::660a:afff:ffff |
| 172 | 2001:db8::660a:b000:0/100 | 2001:db8::660a:bfff:ffff |
| 173 | 2001:db8::660a:c000:0/100 | 2001:db8::660a:cfff:ffff |
| 174 | 2001:db8::660a:d000:0/100 | 2001:db8::660a:dfff:ffff |
| 175 | 2001:db8::660a:e000:0/100 | 2001:db8::660a:efff:ffff |
| 176 | 2001:db8::660a:f000:0/100 | 2001:db8::660a:ffff:ffff |
| 177 | 2001:db8::660b:0:0/100 | 2001:db8::660b:fff:ffff |
| 178 | 2001:db8::660b:1000:0/100 | 2001:db8::660b:1fff:ffff |
| 179 | 2001:db8::660b:2000:0/100 | 2001:db8::660b:2fff:ffff |
| 180 | 2001:db8::660b:3000:0/100 | 2001:db8::660b:3fff:ffff |
| 181 | 2001:db8::660b:4000:0/100 | 2001:db8::660b:4fff:ffff |
| 182 | 2001:db8::660b:5000:0/100 | 2001:db8::660b:5fff:ffff |
| 183 | 2001:db8::660b:6000:0/100 | 2001:db8::660b:6fff:ffff |
| 184 | 2001:db8::660b:7000:0/100 | 2001:db8::660b:7fff:ffff |
| 185 | 2001:db8::660b:8000:0/100 | 2001:db8::660b:8fff:ffff |
| 186 | 2001:db8::660b:9000:0/100 | 2001:db8::660b:9fff:ffff |
| 187 | 2001:db8::660b:a000:0/100 | 2001:db8::660b:afff:ffff |
| 188 | 2001:db8::660b:b000:0/100 | 2001:db8::660b:bfff:ffff |
| 189 | 2001:db8::660b:c000:0/100 | 2001:db8::660b:cfff:ffff |
| 190 | 2001:db8::660b:d000:0/100 | 2001:db8::660b:dfff:ffff |
| 191 | 2001:db8::660b:e000:0/100 | 2001:db8::660b:efff:ffff |
| 192 | 2001:db8::660b:f000:0/100 | 2001:db8::660b:ffff:ffff |
| 193 | 2001:db8::660c:0:0/100 | 2001:db8::660c:fff:ffff |
| 194 | 2001:db8::660c:1000:0/100 | 2001:db8::660c:1fff:ffff |
| 195 | 2001:db8::660c:2000:0/100 | 2001:db8::660c:2fff:ffff |
| 196 | 2001:db8::660c:3000:0/100 | 2001:db8::660c:3fff:ffff |
| 197 | 2001:db8::660c:4000:0/100 | 2001:db8::660c:4fff:ffff |
| 198 | 2001:db8::660c:5000:0/100 | 2001:db8::660c:5fff:ffff |
| 199 | 2001:db8::660c:6000:0/100 | 2001:db8::660c:6fff:ffff |
| 200 | 2001:db8::660c:7000:0/100 | 2001:db8::660c:7fff:ffff |
| 201 | 2001:db8::660c:8000:0/100 | 2001:db8::660c:8fff:ffff |
| 202 | 2001:db8::660c:9000:0/100 | 2001:db8::660c:9fff:ffff |
| 203 | 2001:db8::660c:a000:0/100 | 2001:db8::660c:afff:ffff |
| 204 | 2001:db8::660c:b000:0/100 | 2001:db8::660c:bfff:ffff |
| 205 | 2001:db8::660c:c000:0/100 | 2001:db8::660c:cfff:ffff |
| 206 | 2001:db8::660c:d000:0/100 | 2001:db8::660c:dfff:ffff |
| 207 | 2001:db8::660c:e000:0/100 | 2001:db8::660c:efff:ffff |
| 208 | 2001:db8::660c:f000:0/100 | 2001:db8::660c:ffff:ffff |
| 209 | 2001:db8::660d:0:0/100 | 2001:db8::660d:fff:ffff |
| 210 | 2001:db8::660d:1000:0/100 | 2001:db8::660d:1fff:ffff |
| 211 | 2001:db8::660d:2000:0/100 | 2001:db8::660d:2fff:ffff |
| 212 | 2001:db8::660d:3000:0/100 | 2001:db8::660d:3fff:ffff |
| 213 | 2001:db8::660d:4000:0/100 | 2001:db8::660d:4fff:ffff |
| 214 | 2001:db8::660d:5000:0/100 | 2001:db8::660d:5fff:ffff |
| 215 | 2001:db8::660d:6000:0/100 | 2001:db8::660d:6fff:ffff |
| 216 | 2001:db8::660d:7000:0/100 | 2001:db8::660d:7fff:ffff |
| 217 | 2001:db8::660d:8000:0/100 | 2001:db8::660d:8fff:ffff |
| 218 | 2001:db8::660d:9000:0/100 | 2001:db8::660d:9fff:ffff |
| 219 | 2001:db8::660d:a000:0/100 | 2001:db8::660d:afff:ffff |
| 220 | 2001:db8::660d:b000:0/100 | 2001:db8::660d:bfff:ffff |
| 221 | 2001:db8::660d:c000:0/100 | 2001:db8::660d:cfff:ffff |
| 222 | 2001:db8::660d:d000:0/100 | 2001:db8::660d:dfff:ffff |
| 223 | 2001:db8::660d:e000:0/100 | 2001:db8::660d:efff:ffff |
| 224 | 2001:db8::660d:f000:0/100 | 2001:db8::660d:ffff:ffff |
| 225 | 2001:db8::660e:0:0/100 | 2001:db8::660e:fff:ffff |
| 226 | 2001:db8::660e:1000:0/100 | 2001:db8::660e:1fff:ffff |
| 227 | 2001:db8::660e:2000:0/100 | 2001:db8::660e:2fff:ffff |
| 228 | 2001:db8::660e:3000:0/100 | 2001:db8::660e:3fff:ffff |
| 229 | 2001:db8::660e:4000:0/100 | 2001:db8::660e:4fff:ffff |
| 230 | 2001:db8::660e:5000:0/100 | 2001:db8::660e:5fff:ffff |
| 231 | 2001:db8::660e:6000:0/100 | 2001:db8::660e:6fff:ffff |
| 232 | 2001:db8::660e:7000:0/100 | 2001:db8::660e:7fff:ffff |
| 233 | 2001:db8::660e:8000:0/100 | 2001:db8::660e:8fff:ffff |
| 234 | 2001:db8::660e:9000:0/100 | 2001:db8::660e:9fff:ffff |
| 235 | 2001:db8::660e:a000:0/100 | 2001:db8::660e:afff:ffff |
| 236 | 2001:db8::660e:b000:0/100 | 2001:db8::660e:bfff:ffff |
| 237 | 2001:db8::660e:c000:0/100 | 2001:db8::660e:cfff:ffff |
| 238 | 2001:db8::660e:d000:0/100 | 2001:db8::660e:dfff:ffff |
| 239 | 2001:db8::660e:e000:0/100 | 2001:db8::660e:efff:ffff |
| 240 | 2001:db8::660e:f000:0/100 | 2001:db8::660e:ffff:ffff |
| 241 | 2001:db8::660f:0:0/100 | 2001:db8::660f:fff:ffff |
| 242 | 2001:db8::660f:1000:0/100 | 2001:db8::660f:1fff:ffff |
| 243 | 2001:db8::660f:2000:0/100 | 2001:db8::660f:2fff:ffff |
| 244 | 2001:db8::660f:3000:0/100 | 2001:db8::660f:3fff:ffff |
| 245 | 2001:db8::660f:4000:0/100 | 2001:db8::660f:4fff:ffff |
| 246 | 2001:db8::660f:5000:0/100 | 2001:db8::660f:5fff:ffff |
| 247 | 2001:db8::660f:6000:0/100 | 2001:db8::660f:6fff:ffff |
| 248 | 2001:db8::660f:7000:0/100 | 2001:db8::660f:7fff:ffff |
| 249 | 2001:db8::660f:8000:0/100 | 2001:db8::660f:8fff:ffff |
| 250 | 2001:db8::660f:9000:0/100 | 2001:db8::660f:9fff:ffff |
| 251 | 2001:db8::660f:a000:0/100 | 2001:db8::660f:afff:ffff |
| 252 | 2001:db8::660f:b000:0/100 | 2001:db8::660f:bfff:ffff |
| 253 | 2001:db8::660f:c000:0/100 | 2001:db8::660f:cfff:ffff |
| 254 | 2001:db8::660f:d000:0/100 | 2001:db8::660f:dfff:ffff |
| 255 | 2001:db8::660f:e000:0/100 | 2001:db8::660f:efff:ffff |
| 256 | 2001:db8::660f:f000:0/100 | 2001:db8::660f:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |